#ifndef ORDERTYPEFORM_H
#define ORDERTYPEFORM_H

#include <QWidget>

#include "model/posorderpool.h"

namespace Ui {
class OrderTypeForm;
}

class OrderTypeForm : public QWidget
{
    Q_OBJECT

public:
    explicit OrderTypeForm(QWidget *parent = 0);
    ~OrderTypeForm();

    void InitShow(QString order_id, int order_status, int refund_status, int order_type);

    QString order_id() const;

    int order_status() const;

    int refund_status() const;

    int GetOrderStatus() const;

    int order_type() const;

    void SetNameStyle(int status);

public slots:
    void on_orderstatus_changed(int order_status, int refund_status);
private:
    Ui::OrderTypeForm *ui;
    QString _order_id;
    int _order_status;
    int _refund_status;
    int _order_type;

};

#endif // ORDERTYPEFORM_H
